package com.example.doubledeckerbus;

import javafx.scene.paint.Color;

public class EntityDDB extends EntityBus {
    
    public Color ExtraColor;
    
    public boolean Ladder;
    
    public boolean SecondStage;

    
    private void setExtraColor(Color extraColor) {
        ExtraColor = extraColor; 
    }

    private void setLadder(boolean ladder) {
        Ladder = ladder;
    }

    private void setSecondStage(boolean secondStage) {
        SecondStage = secondStage;
    }

    public EntityDDB(int speed, float height, Color bodyColor, Color extraColor, boolean ladder, boolean secondStage)
    {
        super(speed, height, bodyColor);
        ExtraColor = extraColor;
        Ladder = ladder;
        SecondStage = secondStage;
    }
}
