package com.example.doubledeckerbus;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class DrawingEllipsoidDoors implements IDrawingDoors{
    private CountOfDoors _countOfDoors;

    @Override
    public void DrawDoors(GraphicsContext gc, float _startPosX, float _startPosY) {
        gc.setFill(Color.GRAY);
        gc.fillOval(_startPosX, _startPosY + 20, 10, 20);
        gc.fillOval(_startPosX + 20, _startPosY + 20, 10, 20);
        gc.fillOval(_startPosX + 40, _startPosY + 20, 10, 20);
        if (_countOfDoors.getId() >= 4) {
            gc.fillOval(_startPosX + 60, _startPosY + 20, 10, 20);
        }
        if (_countOfDoors.getId() >= 5) {
            gc.fillOval(_startPosX + 80, _startPosY + 20, 10, 20);
        }
    }

    @Override
    public void setCountOfDoors(int count) {
        for (CountOfDoors item: CountOfDoors.values()) {
            if (item.getId() == count) {
                _countOfDoors = item;
                return;
            }
        }
    }

}
