package com.example.doubledeckerbus;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class DrawingTriangleDoors implements IDrawingDoors{
    private CountOfDoors _countOfDoors;

    public void FillTriangle(GraphicsContext gc, float x, float y) {
        gc.fillPolygon(new double[] {(double) x, (double) (x + 5), (double) (x + 10)},
                new double[] {(double) y + 20, (double) (y), (double) y + 20}, 3) ;
    }

    @Override
    public void DrawDoors(GraphicsContext gc, float _startPosX, float _startPosY) {
        gc.setFill(Color.BLUE);
        FillTriangle(gc, _startPosX, _startPosY + 20);
        FillTriangle(gc,_startPosX + 20, _startPosY + 20);
        FillTriangle(gc,_startPosX + 40, _startPosY + 20);
        if (_countOfDoors.getId() >= 4) {
            FillTriangle(gc, _startPosX + 60, _startPosY + 20);
        }
        if (_countOfDoors.getId() >= 5) {
            FillTriangle(gc, _startPosX + 80, _startPosY + 20);
        }
    }

    @Override
    public void setCountOfDoors(int count) {
        for (CountOfDoors item: CountOfDoors.values()) {
            if (item.getId() == count) {
                _countOfDoors = item;
                return;
            }
        }
    }
}
