package com.example.doubledeckerbus;

import javafx.scene.paint.Color;

import java.util.Random;

public class EntityBus {
    public int Speed;
    public float Weight;
    public Color BodyColor;
    public float Step;

    public EntityBus(int speed, float weight, Color bodyColor)
    {
        Random rnd = new Random();
        Speed = (speed <= 0) ? rnd.nextInt(50, 150): speed;
        Weight = (weight <= 0) ? rnd.nextFloat(50, 70) : weight;
        BodyColor = bodyColor;
        Step = Speed * 100 / Weight;
    }

    public int getSpeed() {
        return Speed;
    }

    public float getWeight() {
        return Weight;
    }

    public Color getBodyColor() {
        return BodyColor;
    }

    public float getStep() {
        return Step;
    }

}
