package com.example.doubledeckerbus;

import java.io.Serializable;
import javafx.scene.paint.Color;

public class SerializableColor implements Serializable
{
    private final double red;
    private final double green;
    private final double blue;
    private final double alpha;

    public SerializableColor(Color color)
    {
        red = color.getRed();
        green = color.getGreen();
        blue = color.getBlue();
        alpha = color.getOpacity();
    }

    public Color getFXColor()
    {
        return new Color(red, green, blue, alpha);
    }
}

